Author Topic: problem with FFMPEG  (Read 3004 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
problem with FFMPEG
« on: January 20, 2018, 12:52:00 PM »
Hello here I have a big problem with FFMPEG

I followed the procedure here

" https://blog.bullten.com/installing-ffmpeg-on-centos-web-panel/ "

I did
Code: [Select]
whereis ffmpeg

Which give
Code: [Select]
ffmpeg: /usr/local/bin/ffmpeg
then this
Code: [Select]
ffmpeg
Which give

Code: [Select]
[root@vps46985 ~]# ffmpeg
ffmpeg version 2.8.8 Copyright (c) 2000-2016 the FFmpeg developers
  built with gcc 4.8.5 (GCC) 20150623 (Red Hat 4.8.5-16)
  configuration: --disable-static --enable-gpl --enable-version3 --enable-nonfree --enable-shared --enable-libmp3lame --enable-libx264 --enable-libvpx --enable-libvorbis --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libopencore-amrnb --enable-libtheora --enable-libxvid --enable-libfdk_aac --enable-libopus --enable-libfreetype --enable-libfaac
  libavutil      54. 31.100 / 54. 31.100
  libavcodec     56. 60.100 / 56. 60.100
  libavformat    56. 40.101 / 56. 40.101
  libavdevice    56.  4.100 / 56.  4.100
  libavfilter     5. 40.101 /  5. 40.101
  libswscale      3.  1.101 /  3.  1.101
  libswresample   1.  2.101 /  1.  2.101
  libpostproc    53.  3.100 / 53.  3.100
Hyper fast Audio and Video encoder
usage: ffmpeg [options] [[infile options] -i infile]... {[outfile options] outfile}...

Use -h to get full help or, even better, run 'man ffmpeg'

I edited my php.ini file and edit the line

Code: [Select]
;extension_dir = ./ and replace it with extension_dir = /usr/lib64/extensions/no-debug-non-zts-20100525
and despite all this ffmpeg.so was not found
the folder /usr/lib64/extensions/no-debug-non-zts-20100525 is totally empty

therefore impossible to continue my installation for my clipbucket site
I am totally lost I do not know what to do to solve the problem
« Last Edit: January 20, 2018, 01:02:34 PM by metatrone »

Offline
***
Re: problem with FFMPEG
« Reply #1 on: January 20, 2018, 05:53:23 PM »
did you install php-ffmpeg?

Offline
*
Re: problem with FFMPEG
« Reply #2 on: January 20, 2018, 06:09:07 PM »
did you install php-ffmpeg?

I did not find the dependency for his install :(

Offline
***
Re: problem with FFMPEG
« Reply #3 on: January 20, 2018, 06:18:02 PM »
May i know exact error you are getting?

Offline
*
Re: problem with FFMPEG
« Reply #4 on: January 20, 2018, 06:48:58 PM »
May i know exact error you are getting?

that my FFMPEG are not recognized by PHP so when I install my site this one does not find it for continued.

Code: [Select]
[root@vps46985 ~]# yum install php-ffmpeg
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: centos.mirror.fr.planethoster.net
 * epel: fr.mirror.babylon.network
 * extras: centos.quelquesmots.fr
 * nux-dextop: mirror.li.nux.ro
 * updates: centos.quelquesmots.fr
No package php-ffmpeg available.
Error: Nothing to do
« Last Edit: January 20, 2018, 06:58:07 PM by metatrone »

Offline
***
« Last Edit: January 20, 2018, 07:07:04 PM by bullten »

Offline
*
Re: problem with FFMPEG
« Reply #6 on: January 20, 2018, 07:22:37 PM »
Please install this

https://github.com/PHP-FFMpeg/PHP-FFMpeg

https://sourceforge.net/projects/ffmpeg-php/?source=navbar

how should i install this because i just have a file and a long text meaning yum etc: S sorry i devour with centos

Offline
***
Re: problem with FFMPEG
« Reply #7 on: January 20, 2018, 07:55:04 PM »
may I know if you are using centos 6 or centos 7?

also the php version you are using.
« Last Edit: January 20, 2018, 08:00:39 PM by bullten »

Offline
*
Re: problem with FFMPEG
« Reply #8 on: January 20, 2018, 08:06:30 PM »
may I know if you are using centos 6 or centos 7?

also the php version you are using.

centos 7 php 7.0.22

example of installation of my site http://vps46985.lws-hosting.com/c/cb_install/

click Ok, I Agree, Now let me Continue!
« Last Edit: January 20, 2018, 08:10:32 PM by metatrone »

Offline
***
Re: problem with FFMPEG
« Reply #9 on: January 20, 2018, 08:15:55 PM »
You are using php 5.6. Also php-ffpmeg is not required. Just ffmpeg will do the work.

May be it is not taking correct path of ffmpeg. Try running the command as below

ln -s /usr/local/bin/ffmpeg /usr/bin/ffmpeg

See if it helps to find the path.

Offline
*
Re: problem with FFMPEG
« Reply #10 on: January 20, 2018, 08:23:43 PM »
the transfer of php 5.6 or 7.0.22 is in progress it must leave a little time;)

I executed the command as said
and I wish to install the php because I wish that all the site works corectement;) because it is asked there is reason no?

Offline
***
Re: problem with FFMPEG
« Reply #11 on: January 20, 2018, 08:28:22 PM »
Hello,

doesnt look like you forced the command I gave you. Also its good to install php 7.

Offline
*
Re: problem with FFMPEG
« Reply #12 on: January 20, 2018, 09:50:55 PM »
always the same problem despite the command line you gave me

http://vps46985.lws-hosting.com/c/cb_install/

Offline
***
Re: problem with FFMPEG
« Reply #13 on: January 21, 2018, 08:26:55 AM »
I checked on demo clipbucked script and it does take ffpmg path with the way i told you.

Offline
*
Re: problem with FFMPEG
« Reply #14 on: January 21, 2018, 10:01:00 AM »
I believe you my here it remains in red for that for me I must activate the FFMPEG.so missing php is not found in the extension my impossible to activate because in phpinfo I can find no information on the extention FFMPEG